# Uses of Enum Class
java.lang.module.ModuleDescriptor.Modifier

Packages that use ModuleDescriptor.Modifier
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

- ## Uses of ModuleDescriptor.Modifier in java.lang.module

  Subclasses with type arguments of type ModuleDescriptor.Modifier in java.lang.module
  Modifier and Type
  Class
  Description
  `static enum`
  `ModuleDescriptor.Modifier`
  A modifier on a module.
  Methods in java.lang.module that return ModuleDescriptor.Modifier
  Modifier and Type
  Method
  Description
  `static ModuleDescriptor.Modifier`
  ModuleDescriptor.Modifier.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ModuleDescriptor.Modifier[]`
  ModuleDescriptor.Modifier.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.lang.module that return types with arguments of type ModuleDescriptor.Modifier
  Modifier and Type
  Method
  Description
  `Set<ModuleDescriptor.Modifier>`
  ModuleDescriptor.`modifiers()`
  Returns the set of module modifiers.
  Method parameters in java.lang.module with type arguments of type ModuleDescriptor.Modifier
  Modifier and Type
  Method
  Description
  `static ModuleDescriptor.Builder`
  ModuleDescriptor.`newModule(String name, Set<ModuleDescriptor.Modifier> ms)`
  Instantiates a builder to build a module descriptor.